Subject: [bug#77527] [PATCH v4 5/6] guix-install.sh: Group profile sourcing.

From: Hilton Chain <[email-masked]>
Date: Sun, 20 Apr 2025 08:15:53 +0800

On Sun, 20 Apr 2025 04:34:47 +0800,
Liam Hupfer wrote:
>
> [1  <text/plain; utf-8 (quoted-printable)>]
> Hi Hilton!
>
> I recently removed Guix Home profile initialization from the
> system-level shell profile in bug#76082
> (<https://issues.guix.gnu.org/76082>), hence the explicit comment. The
> rationale is provided in the cover letter, [[bug#76082] [PATCH 0/9]
> Improve profile initialization on foreign distros plus misc
> improvements], and commit [[bug#76082] [PATCH 4/9] guix-install.sh: Remove
> system-level Guix Home initialization.].
>
> I would advocate against attempting to initialize the Guix Home profile
> in the system ‘/etc/profile/’ files (or in Guix System’s equivalent
> system-level shell initialization). Guix Home is capable of initializing
> itself entirely at the user level. This is the default behavior and
> documented in the manual at ‘(guix) Configuring the Shell’. Guix Home
> users retain more control over fine-tuning shell initialization this
> way. It also keeps search path variables tidy by preventing duplicating
> Guix Home initialization at the system and user level.
>
> WDYT?

This patch series is for avoiding search path duplication, and search paths for
Guix Home won't be initialized again if it's already done (see [PATCH v4 3/6]).

If initializing Guix Home separately, search path ordering can't be ensured, and
on Guix System ~/.guix-home/profile/bin has higher precedence than
/run/privileged/bin.

> Thanks!
>
> PS: maybe not so useful if/when the Codeberg migration happens, but
> ‘(guix) Multiple Patches’ documents handy workarounds for Debbugs’s rather
> subpar handling of patch series.

I forget it sometimes if I'm dealing with other things :)

> ―Liam
>
>
> [[bug#76082] [PATCH 0/9]
> Improve profile initialization on foreign distros plus misc
> improvements] <https://yhetil.org/guix/[email-masked]/>
>
> [[bug#76082] [PATCH 4/9] guix-install.sh: Remove
> system-level Guix Home initialization.] <https://yhetil.org/guix/[email-masked]/>